Function
assignValue
Assigns value to item.
assignValue(object, value)
assignValue(container, pos, value)
Include Headers
seqan/basic.h, seqan/sequence.h
Parameters

object | An object that holds a value or points to a value. Types: Iterator: BottomUp Iterator, Iter, ModifiedIterator, TopDownHistory Iterator Holder, Holder
value | A value that is assigned to the item object holds or points to.
container | A container. Types: Container: ModifiedString, String char array
pos | Position of the item in container to that value is assigned.

Remarks
If object is a container (that is pos is not specified), the whole content of object is replaced by value.
This function is similar to assign. The difference is, that assignValue just changes a value stored in object or the value object points to, while assign changes the whole object.
If value is not used again after calling this function, then consider to use moveValue that could be faster in some cases instead.
Part of Concept
Container, Iterator
See Also
assign, moveValue
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46